<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.xxfc.platform.order.mapper.OrderProfileDisplayMapper">

    <!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.xxfc.platform.order.entity.OrderProfileDisplay" id="orderProfileDisplayMap">
        <result property="id" column="id"/>
        <result property="orderAmount" column="order_amount"/>
        <result property="orderDate" column="order_date"/>
    </resultMap>

    <select id="findOrderProfileDisplayDatabyDate" resultMap="orderProfileDisplayMap">
        select * from  `order_profile_display` where `order_date` between #{startDate} and #{endDate}
    </select>
</mapper>